#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hint
version:              0.9.0.3
visibility:           public
id:                   hint-0.9.0.3-B3ntFyifl9U8l5Y2N6uV7W
key:                  hint-0.9.0.3-B3ntFyifl9U8l5Y2N6uV7W
license:              BSD-3-Clause
maintainer:           mvdan@mvdan.cc
author:               The Hint Authors
homepage:             https://github.com/haskell-hint/hint
synopsis:             Runtime Haskell interpreter (GHC API wrapper)
description:
    This library defines an Interpreter monad. It allows to load Haskell
    modules, browse them, type-check and evaluate strings with Haskell
    expressions and even coerce them into values. The library is thread-safe
    and type-safe (even the coercion of expressions to values).
    It is, essentially, a huge subset of the GHC API wrapped in a simpler
    API.

category:             Language, Compilers/Interpreters
abi:                  01f1a5eaf4994f615f10fa25c2bcdca5
exposed:              True
exposed-modules:
    Hint.Internal Language.Haskell.Interpreter
    Language.Haskell.Interpreter.Extension
    Language.Haskell.Interpreter.Unsafe

hidden-modules:
    Hint.GHC Hint.Base Hint.InterpreterT Hint.CompatPlatform
    Hint.Configuration Hint.Extension Hint.Context Hint.Conversions
    Hint.Eval Hint.Parsers Hint.Reflection Hint.Typecheck Hint.Util
    Hint.Annotations Control.Monad.Ghc

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hint-0.9.0.3
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hint-0.9.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hint-0.9.0.3
hs-libraries:         HShint-0.9.0.3-B3ntFyifl9U8l5Y2N6uV7W
depends:
    base-4.14.1.0 directory-1.3.6.0 exceptions-0.10.4 filepath-1.4.2.1
    ghc-8.10.4 ghc-boot-8.10.4
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    random-1.2.0-F9Db881XSkeHNx13RpGdSQ
    temporary-1.3-F9ADZ0FXpry7XcjfM96xbU transformers-0.5.6.2
    unix-2.7.2.2

haddock-interfaces:   /usr/share/doc/haskell-hint/html/hint.haddock
haddock-html:         /usr/share/doc/haskell-hint/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

